"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteApplication_1 = require("../model/operations/DeleteApplication");
var DeleteApplicationCommand = /** @class */ (function () {
    function DeleteApplicationCommand(input) {
        this.input = input;
        this.model = DeleteApplication_1.DeleteApplication;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteApplicationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteApplicationCommand;
}());
exports.DeleteApplicationCommand = DeleteApplicationCommand;
//# sourceMappingURL=DeleteApplicationCommand.js.map