"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetApplication_1 = require("../model/operations/GetApplication");
var GetApplicationCommand = /** @class */ (function () {
    function GetApplicationCommand(input) {
        this.input = input;
        this.model = GetApplication_1.GetApplication;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetApplicationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetApplicationCommand;
}());
exports.GetApplicationCommand = GetApplicationCommand;
//# sourceMappingURL=GetApplicationCommand.js.map