"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDeploymentConfig_1 = require("../model/operations/GetDeploymentConfig");
var GetDeploymentConfigCommand = /** @class */ (function () {
    function GetDeploymentConfigCommand(input) {
        this.input = input;
        this.model = GetDeploymentConfig_1.GetDeploymentConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDeploymentConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDeploymentConfigCommand;
}());
exports.GetDeploymentConfigCommand = GetDeploymentConfigCommand;
//# sourceMappingURL=GetDeploymentConfigCommand.js.map