"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDeploymentTarget_1 = require("../model/operations/GetDeploymentTarget");
var GetDeploymentTargetCommand = /** @class */ (function () {
    function GetDeploymentTargetCommand(input) {
        this.input = input;
        this.model = GetDeploymentTarget_1.GetDeploymentTarget;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDeploymentTargetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDeploymentTargetCommand;
}());
exports.GetDeploymentTargetCommand = GetDeploymentTargetCommand;
//# sourceMappingURL=GetDeploymentTargetCommand.js.map