"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListDeploymentInstances_1 = require("../model/operations/ListDeploymentInstances");
var ListDeploymentInstancesCommand = /** @class */ (function () {
    function ListDeploymentInstancesCommand(input) {
        this.input = input;
        this.model = ListDeploymentInstances_1.ListDeploymentInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListDeploymentInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListDeploymentInstancesCommand;
}());
exports.ListDeploymentInstancesCommand = ListDeploymentInstancesCommand;
//# sourceMappingURL=ListDeploymentInstancesCommand.js.map