"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopDeployment_1 = require("../model/operations/StopDeployment");
var StopDeploymentCommand = /** @class */ (function () {
    function StopDeploymentCommand(input) {
        this.input = input;
        this.model = StopDeployment_1.StopDeployment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopDeploymentCommand;
}());
exports.StopDeploymentCommand = StopDeploymentCommand;
//# sourceMappingURL=StopDeploymentCommand.js.map