"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetApplicationsInput_1 = require("../shapes/BatchGetApplicationsInput");
var BatchGetApplicationsOutput_1 = require("../shapes/BatchGetApplicationsOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var BatchLimitExceededException_1 = require("../shapes/BatchLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetApplications = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetApplications",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetApplicationsInput_1.BatchGetApplicationsInput
    },
    output: {
        shape: BatchGetApplicationsOutput_1.BatchGetApplicationsOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: BatchLimitExceededException_1.BatchLimitExceededException
        }
    ]
};
//# sourceMappingURL=BatchGetApplications.js.map