"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetDeploymentInstancesInput_1 = require("../shapes/BatchGetDeploymentInstancesInput");
var BatchGetDeploymentInstancesOutput_1 = require("../shapes/BatchGetDeploymentInstancesOutput");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var InstanceIdRequiredException_1 = require("../shapes/InstanceIdRequiredException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var InvalidInstanceNameException_1 = require("../shapes/InvalidInstanceNameException");
var BatchLimitExceededException_1 = require("../shapes/BatchLimitExceededException");
var InvalidComputePlatformException_1 = require("../shapes/InvalidComputePlatformException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetDeploymentInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetDeploymentInstances",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetDeploymentInstancesInput_1.BatchGetDeploymentInstancesInput
    },
    output: {
        shape: BatchGetDeploymentInstancesOutput_1.BatchGetDeploymentInstancesOutput
    },
    errors: [
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: InstanceIdRequiredException_1.InstanceIdRequiredException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: InvalidInstanceNameException_1.InvalidInstanceNameException
        },
        {
            shape: BatchLimitExceededException_1.BatchLimitExceededException
        },
        {
            shape: InvalidComputePlatformException_1.InvalidComputePlatformException
        }
    ]
};
//# sourceMappingURL=BatchGetDeploymentInstances.js.map