"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDeploymentInput_1 = require("../shapes/CreateDeploymentInput");
var CreateDeploymentOutput_1 = require("../shapes/CreateDeploymentOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var DeploymentGroupNameRequiredException_1 = require("../shapes/DeploymentGroupNameRequiredException");
var InvalidDeploymentGroupNameException_1 = require("../shapes/InvalidDeploymentGroupNameException");
var DeploymentGroupDoesNotExistException_1 = require("../shapes/DeploymentGroupDoesNotExistException");
var RevisionRequiredException_1 = require("../shapes/RevisionRequiredException");
var RevisionDoesNotExistException_1 = require("../shapes/RevisionDoesNotExistException");
var InvalidRevisionException_1 = require("../shapes/InvalidRevisionException");
var InvalidDeploymentConfigNameException_1 = require("../shapes/InvalidDeploymentConfigNameException");
var DeploymentConfigDoesNotExistException_1 = require("../shapes/DeploymentConfigDoesNotExistException");
var DescriptionTooLongException_1 = require("../shapes/DescriptionTooLongException");
var DeploymentLimitExceededException_1 = require("../shapes/DeploymentLimitExceededException");
var InvalidTargetInstancesException_1 = require("../shapes/InvalidTargetInstancesException");
var InvalidAutoRollbackConfigException_1 = require("../shapes/InvalidAutoRollbackConfigException");
var InvalidLoadBalancerInfoException_1 = require("../shapes/InvalidLoadBalancerInfoException");
var InvalidFileExistsBehaviorException_1 = require("../shapes/InvalidFileExistsBehaviorException");
var InvalidRoleException_1 = require("../shapes/InvalidRoleException");
var InvalidAutoScalingGroupException_1 = require("../shapes/InvalidAutoScalingGroupException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InvalidUpdateOutdatedInstancesOnlyValueException_1 = require("../shapes/InvalidUpdateOutdatedInstancesOnlyValueException");
var InvalidIgnoreApplicationStopFailuresValueException_1 = require("../shapes/InvalidIgnoreApplicationStopFailuresValueException");
var InvalidGitHubAccountTokenException_1 = require("../shapes/InvalidGitHubAccountTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDeployment",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDeploymentInput_1.CreateDeploymentInput
    },
    output: {
        shape: CreateDeploymentOutput_1.CreateDeploymentOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: DeploymentGroupNameRequiredException_1.DeploymentGroupNameRequiredException
        },
        {
            shape: InvalidDeploymentGroupNameException_1.InvalidDeploymentGroupNameException
        },
        {
            shape: DeploymentGroupDoesNotExistException_1.DeploymentGroupDoesNotExistException
        },
        {
            shape: RevisionRequiredException_1.RevisionRequiredException
        },
        {
            shape: RevisionDoesNotExistException_1.RevisionDoesNotExistException
        },
        {
            shape: InvalidRevisionException_1.InvalidRevisionException
        },
        {
            shape: InvalidDeploymentConfigNameException_1.InvalidDeploymentConfigNameException
        },
        {
            shape: DeploymentConfigDoesNotExistException_1.DeploymentConfigDoesNotExistException
        },
        {
            shape: DescriptionTooLongException_1.DescriptionTooLongException
        },
        {
            shape: DeploymentLimitExceededException_1.DeploymentLimitExceededException
        },
        {
            shape: InvalidTargetInstancesException_1.InvalidTargetInstancesException
        },
        {
            shape: InvalidAutoRollbackConfigException_1.InvalidAutoRollbackConfigException
        },
        {
            shape: InvalidLoadBalancerInfoException_1.InvalidLoadBalancerInfoException
        },
        {
            shape: InvalidFileExistsBehaviorException_1.InvalidFileExistsBehaviorException
        },
        {
            shape: InvalidRoleException_1.InvalidRoleException
        },
        {
            shape: InvalidAutoScalingGroupException_1.InvalidAutoScalingGroupException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InvalidUpdateOutdatedInstancesOnlyValueException_1.InvalidUpdateOutdatedInstancesOnlyValueException
        },
        {
            shape: InvalidIgnoreApplicationStopFailuresValueException_1.InvalidIgnoreApplicationStopFailuresValueException
        },
        {
            shape: InvalidGitHubAccountTokenException_1.InvalidGitHubAccountTokenException
        }
    ]
};
//# sourceMappingURL=CreateDeployment.js.map