"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDeploymentInput_1 = require("../shapes/GetDeploymentInput");
var GetDeploymentOutput_1 = require("../shapes/GetDeploymentOutput");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDeployment",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDeploymentInput_1.GetDeploymentInput
    },
    output: {
        shape: GetDeploymentOutput_1.GetDeploymentOutput
    },
    errors: [
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        }
    ]
};
//# sourceMappingURL=GetDeployment.js.map