"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListDeploymentTargetsInput_1 = require("../shapes/ListDeploymentTargetsInput");
var ListDeploymentTargetsOutput_1 = require("../shapes/ListDeploymentTargetsOutput");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var DeploymentNotStartedException_1 = require("../shapes/DeploymentNotStartedException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var InvalidInstanceStatusException_1 = require("../shapes/InvalidInstanceStatusException");
var InvalidInstanceTypeException_1 = require("../shapes/InvalidInstanceTypeException");
var InvalidDeploymentInstanceTypeException_1 = require("../shapes/InvalidDeploymentInstanceTypeException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListDeploymentTargets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListDeploymentTargets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListDeploymentTargetsInput_1.ListDeploymentTargetsInput
    },
    output: {
        shape: ListDeploymentTargetsOutput_1.ListDeploymentTargetsOutput
    },
    errors: [
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: DeploymentNotStartedException_1.DeploymentNotStartedException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: InvalidInstanceStatusException_1.InvalidInstanceStatusException
        },
        {
            shape: InvalidInstanceTypeException_1.InvalidInstanceTypeException
        },
        {
            shape: InvalidDeploymentInstanceTypeException_1.InvalidDeploymentInstanceTypeException
        }
    ]
};
//# sourceMappingURL=ListDeploymentTargets.js.map