"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateApplicationInput_1 = require("../shapes/UpdateApplicationInput");
var UpdateApplicationOutput_1 = require("../shapes/UpdateApplicationOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationAlreadyExistsException_1 = require("../shapes/ApplicationAlreadyExistsException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateApplication = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateApplication",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateApplicationInput_1.UpdateApplicationInput
    },
    output: {
        shape: UpdateApplicationOutput_1.UpdateApplicationOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationAlreadyExistsException_1.ApplicationAlreadyExistsException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        }
    ]
};
//# sourceMappingURL=UpdateApplication.js.map