"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EC2TagFilterList_1 = require("./_EC2TagFilterList");
var _TagFilterList_1 = require("./_TagFilterList");
var _AutoScalingGroupList_1 = require("./_AutoScalingGroupList");
var _RevisionLocation_1 = require("./_RevisionLocation");
var _TriggerConfigList_1 = require("./_TriggerConfigList");
var _AlarmConfiguration_1 = require("./_AlarmConfiguration");
var _AutoRollbackConfiguration_1 = require("./_AutoRollbackConfiguration");
var _DeploymentStyle_1 = require("./_DeploymentStyle");
var _BlueGreenDeploymentConfiguration_1 = require("./_BlueGreenDeploymentConfiguration");
var _LoadBalancerInfo_1 = require("./_LoadBalancerInfo");
var _LastDeploymentInfo_1 = require("./_LastDeploymentInfo");
var _EC2TagSet_1 = require("./_EC2TagSet");
var _OnPremisesTagSet_1 = require("./_OnPremisesTagSet");
var _ECSServiceList_1 = require("./_ECSServiceList");
exports._DeploymentGroupInfo = {
    type: "structure",
    required: [],
    members: {
        applicationName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        deploymentGroupId: {
            shape: {
                type: "string"
            }
        },
        deploymentGroupName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        deploymentConfigName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ec2TagFilters: {
            shape: _EC2TagFilterList_1._EC2TagFilterList
        },
        onPremisesInstanceTagFilters: {
            shape: _TagFilterList_1._TagFilterList
        },
        autoScalingGroups: {
            shape: _AutoScalingGroupList_1._AutoScalingGroupList
        },
        serviceRoleArn: {
            shape: {
                type: "string"
            }
        },
        targetRevision: {
            shape: _RevisionLocation_1._RevisionLocation
        },
        triggerConfigurations: {
            shape: _TriggerConfigList_1._TriggerConfigList
        },
        alarmConfiguration: {
            shape: _AlarmConfiguration_1._AlarmConfiguration
        },
        autoRollbackConfiguration: {
            shape: _AutoRollbackConfiguration_1._AutoRollbackConfiguration
        },
        deploymentStyle: {
            shape: _DeploymentStyle_1._DeploymentStyle
        },
        blueGreenDeploymentConfiguration: {
            shape: _BlueGreenDeploymentConfiguration_1._BlueGreenDeploymentConfiguration
        },
        loadBalancerInfo: {
            shape: _LoadBalancerInfo_1._LoadBalancerInfo
        },
        lastSuccessfulDeployment: {
            shape: _LastDeploymentInfo_1._LastDeploymentInfo
        },
        lastAttemptedDeployment: {
            shape: _LastDeploymentInfo_1._LastDeploymentInfo
        },
        ec2TagSet: {
            shape: _EC2TagSet_1._EC2TagSet
        },
        onPremisesTagSet: {
            shape: _OnPremisesTagSet_1._OnPremisesTagSet
        },
        computePlatform: {
            shape: {
                type: "string"
            }
        },
        ecsServices: {
            shape: _ECSServiceList_1._ECSServiceList
        }
    }
};
//# sourceMappingURL=_DeploymentGroupInfo.js.map